ExoToolbarsView
3
EXO Library

# ExoToolbarsView

Widget for displaying toolbars

## Synopsis

    #include <exo/exo.h>

                        ExoToolbarsView;
    GtkWidget*          exo_toolbars_view_new               (GtkUIManager *ui_manager);
    GtkWidget*          exo_toolbars_view_new_with_model    (GtkUIManager *ui_manager,
                                                             ExoToolbarsModel *model);
    gboolean            exo_toolbars_view_get_editing       (ExoToolbarsView *view);
    void                exo_toolbars_view_set_editing       (ExoToolbarsView *view,
                                                             gboolean editing);
    ExoToolbarsModel*   exo_toolbars_view_get_model         (ExoToolbarsView *view);
    void                exo_toolbars_view_set_model         (ExoToolbarsView *view,
                                                             ExoToolbarsModel *model);
    GtkUIManager*       exo_toolbars_view_get_ui_manager    (ExoToolbarsView *view);
    void                exo_toolbars_view_set_ui_manager    (ExoToolbarsView *view,
                                                             GtkUIManager *ui_manager);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----ExoToolbarsView

## Implemented Interfaces

ExoToolbarsView implements AtkImplementorIface and GtkBuildable.

## Properties

      "editing"                  gboolean              : Read / Write
      "model"                    ExoToolbarsModel*     : Read / Write
      "ui-manager"               GtkUIManager*         : Read / Write

## Signals

      "action-request"                                 : Run Last
      "customize"                                      : Run Last

## Description

A widget that displays toolbars as described in a ExoToolbarsModel object.

## Details

### ExoToolbarsView

    typedef struct _ExoToolbarsView ExoToolbarsView;

The ExoToolbarsView struct contains only private fields and should not be directly accessed.

### exo_toolbars_view_new ()

    GtkWidget*          exo_toolbars_view_new               (GtkUIManager *ui_manager);

Creates a new ExoToolbarsView.

`ui_manager` :

  A GtkUIManager.

Returns :

  A newly created ExoToolbarsView.

### exo_toolbars_view_new_with_model ()

    GtkWidget*          exo_toolbars_view_new_with_model    (GtkUIManager *ui_manager,
                                                             ExoToolbarsModel *model);

Creates a new ExoToolbarsView and associates it with `model`.

`ui_manager` :

  A GtkUIManager.

`model` :

  An ExoToolbarsModel.

Returns :

  A newly created ExoToolbarsView.

### exo_toolbars_view_get_editing ()

    gboolean            exo_toolbars_view_get_editing       (ExoToolbarsView *view);

`view` :

  An ExoToolbarsView.

Returns :

  `TRUE` if `view` is currently being edited, else `FALSE`.

### exo_toolbars_view_set_editing ()

    void                exo_toolbars_view_set_editing       (ExoToolbarsView *view,
                                                             gboolean editing);

Sets wether `view` is currently being edited.

`view` :

  An ExoToolbarsView.

`editing` :

  New editing mode.

### exo_toolbars_view_get_model ()

    ExoToolbarsModel*   exo_toolbars_view_get_model         (ExoToolbarsView *view);

Returns the ExoToolbarsModel currently associated with `view` or `NULL` if `view` has no model.

`view` :

  An ExoToolbarsView.

Returns :

  The ExoToolbarsModel associated with `view`.

### exo_toolbars_view_set_model ()

    void                exo_toolbars_view_set_model         (ExoToolbarsView *view,
                                                             ExoToolbarsModel *model);

`view` :

  An ExoToolbarsView.

`model` :

  An ExoToolbarsModel or `NULL`.

### exo_toolbars_view_get_ui_manager ()

    GtkUIManager*       exo_toolbars_view_get_ui_manager    (ExoToolbarsView *view);

`view` :

  An ExoToolbarsView.

Returns :

  The GtkUIManager associated with `view` or `NULL`.

### exo_toolbars_view_set_ui_manager ()

    void                exo_toolbars_view_set_ui_manager    (ExoToolbarsView *view,
                                                             GtkUIManager *ui_manager);

`view` :

  An ExoToolbarsView.

`ui_manager` :

  A GtkUIManager or `NULL`.

## Property Details

### The `"editing"` property

      "editing"                  gboolean              : Read / Write

This property tells if the toolbars contained with this ExoToolbarsView are currently being edited by the user. If the user edits a view, the view will act as proxy and make the requested changes to the model.

Default value: FALSE

### The `"model"` property

      "model"                    ExoToolbarsModel*     : Read / Write

The ExoToolbarsModel associated with this ExoToolbarsView or `NULL` if there is no model currently associated with this view. The view is build up from the model, which says, that it will display the toolbars as described in the model.

### The `"ui-manager"` property

      "ui-manager"               GtkUIManager*         : Read / Write

The GtkUIManager currently associated with this ExoToolbarsView or `NULL`. The GtkUIManager object is used to translate action names as used by the ExoToolbarsModel into GtkAction objects, which are then used to create and maintain the items in the toolbars.

## Signal Details

### The `"action-request"` signal

    void                user_function                      (ExoToolbarsView *view,
                                                            gchar           *arg1,
                                                            gpointer         user_data)      : Run Last

`view` :

  An ExoToolbarsView.

`user_data` :

  user data set when the signal handler was connected.

### The `"customize"` signal

    void                user_function                      (ExoToolbarsView *view,
                                                            gpointer         user_data)      : Run Last

This signal is emitted if the users chooses the Customize Toolbars... option from the right-click menu.

Please take note, that the option will only be present in the right-click menu, if you had previously connected a handler to this signal.

`view` :

  An ExoToolbarsView.

`user_data` :

  user data set when the signal handler was connected.

## See Also

ExoToolbarsEditor, ExoToolbarsEditorDialog, ExoToolbarsModel